#include <exception>
#include <iostream>

#include "args.hh"


using namespace ::blky::args;

int main(int argc, char** argv)
try {
  parser.ParseCLI(argc, argv);

} catch (const Help&) {
  std::cout << parser << std::endl;
  return 0;

} catch (const ParseError& e) {
  std::cerr << e.what() << std::endl;
  return 1;

} catch (const ValidationError& e) {
  std::cerr << e.what() << std::endl;
  return 1;

} catch (const std::runtime_error& e) {
  std::cerr << "runtime error: " << e.what() << std::endl;
  return 1;
}
